Subject: bug#53228: closed (Re: [bug#53228] [PATCH 0/2] gnu: poetry: Fix inputs.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 Jan 2022 19:06:02 +0000

Your bug report

#53228: [PATCH 0/2] gnu: poetry: Fix inputs.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53228: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53228
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#53228] [PATCH 0/2] gnu: poetry: Fix inputs.
From: Leo Famulari <[email-masked]>
To: Tanguy Le Carrour <[email-masked]>
Cc: [email-masked]
Date: Thu, 13 Jan 2022 14:05:28 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Jan 13, 2022 at 10:45:29AM +0100, Tanguy Le Carrour wrote:
> Dear Guix,
> 
> Unfortunately, I messed up Poetry package in my last patch set!
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=53054
> 
> Poetry depends on an outdated version of `python-msgpack`, so I re-added
> the `python-msgpack-transitional`.
> 
> I tried adding a `python-msgpack-0.5.6` instead, but I ended up with a
> Poetry package containing conflicting inputs, for `python-cachecontrol`
> was depending on a more recent version of `python-msgpack`.
> 
> This issue has been reported upstream as mentioned in the second patch.

Thanks for taking care of this.

> Tanguy Le Carrour (2):
>   Revert "gnu: Remove python-msgpack-transitional."
>   gnu: poetry: Fix inputs.

I tweaked the commit messages and pushed as
391f22fa3e34ac0ef0c31a422ccfb49c92f744ac

Subject: [PATCH 0/2] gnu: poetry: Fix inputs.
From: Tanguy Le Carrour <[email-masked]>
To: [email-masked]
Cc: Tanguy Le Carrour <[email-masked]>
Date: Thu, 13 Jan 2022 10:45:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Guix,

Unfortunately, I messed up Poetry package in my last patch set!

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=53054

Poetry depends on an outdated version of `python-msgpack`, so I re-added
the `python-msgpack-transitional`.

I tried adding a `python-msgpack-0.5.6` instead, but I ended up with a
Poetry package containing conflicting inputs, for `python-cachecontrol`
was depending on a more recent version of `python-msgpack`.

This issue has been reported upstream as mentioned in the second patch.

Again, sorry for the mess!

Tanguy Le Carrour (2):
  Revert "gnu: Remove python-msgpack-transitional."
  gnu: poetry: Fix inputs.

 gnu/packages/python-xyz.scm | 38 ++++++++++++++++++++++++++++++++++++-
 1 file changed, 37 insertions(+), 1 deletion(-)

-- 
2.34.0